cancel
Showing results for 
Search instead for 
Did you mean: 

Switch from PHP 5.6 to PHP 7.0.22 breaks site?

Switch from PHP 5.6 to PHP 7.0.22 breaks site?

If I understand correctly 2.1.x (2.1.8 in my case) is compatible with PHP 7.0.2, do I need to do something from the command line after switching PHP versions to get Magento working again?  I get a 500 error after switching to 7.0.2, can't seem to get it up.  

 

Thanks.

2 REPLIES

Re: Switch from PHP 5.6 to PHP 7.0.22 breaks site?

Hi @TenGauge,

 

Which error did you receive?

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"

Re: Switch from PHP 5.6 to PHP 7.0.22 breaks site?

Every Magento version supports some specific version of PHP. Not all latest version of PHP supports Magento 2.  Make sure that the PHP version you have upgraded supports the Magento version you have installed.

 

You will get compatibility details in this link

 

http://devdocs.magento.com/guides/v2.1/install-gde/system-requirements-tech.html

 

Apart from that what error message you are getting. Did you checked the logs ? Location of the log is "var/report".

Add the below to lines top of index.php located in the root folder. Then refresh the the home page of your site.

 

 

ini_set("display_errors","on");
error_reporting(E_ALL);

 

Suman Kar(suman.jis@gmail.com) Magento Certified Developer Plus Skype: sumanphptech If this response was helpful to you, consider giving kudos to this post
Tags (2)